package nq.core {
	
	/**
	 * Интерфейс для всего, что можно сравнивать
	 * 
	 * @author gloomyBrain
	 */
	public interface IComparable extends IEquable {
		
		/**
		 * Сравнивает текущий объект с целевым
		 * 
		 * @param	value	Целевой объект для сравнения
		 * 
		 * @return	true, если текущий объект "меньше" чем целевой, 
		 * false во всех остальных случаях
		 */
		function lessThan(value:IComparable):Boolean;
		
		/**
		 * Сравнивает текущий объект с целевым
		 * 
		 * @param	value	Целевой объект для сравнения
		 * 
		 * @return	true, если текущий объект "больше" чем целевой, 
		 * false во всех остальных случаях
		 */
		function moreThan(value:IComparable):Boolean;
		
	}
	
}