package nq.net {
	
	import flash.errors.IllegalOperationError;
	
	/**
	 * Класс, содержащий константы MIME типов файла
	 * 
	 * @author gloomyBrain
	 */
	public final class MIMEType {
		
		/**
		 * Бинарные данные
		 */
		public static const OCTET_STREAM:String = "application/octet-stream";
		
		/**
		 * Изображения с расширением jpeg, jpg, jpe
		 */
		public static const IMAGE_JPEG:String = "image/jpeg";
		
		/**
		 * Изображения с расширением png
		 */
		public static const IMAGE_PNG:String = "image/png";
		
		/**
		 * Изображения с расширением gif
		 */
		public static const IMAGE_GIF:String = "image/gif";
		
		/**
		 * Аудио-файл с расширением mp2, mp3, mpga
		 */
		public static const AUDIO_MPEG:String = "audio/mpeg";
		
		/**
		 * Аудио-файл с расширением wav
		 */
		public static const AUDIO_WAV:String = "audio/x-wav";
		
		/**
		 * Видео-файл с расширением mpe, mpeg, mpg
		 */
		public static const VIDEO_MPEG:String = "video/mpeg";
		
		/**
		 * Видео-файл с расширением mov, qt
		 */
		public static const VIDEO_QUICK_TIME:String = "video/quicktime";
		
		/**
		 * Видео-файл с расширением avi
		 */
		public static const VIDEO_AVI:String = "video/x-msvideo";
		
		/**
		 * Файл с расширением swf
		 */
		public static const FLASH_SWF:String = "application/x-shockwave-flash";

        /**
         * Спрайтшит NQS.
         */
        public static const NQS_SPRITESHEET:String = "application/nqs-spritesheet";

		/**
		 * Класс является статическим!
		 */
		public function MIMEType():void {
			throw new IllegalOperationError("Класс является статическим!");
		}
		
	}
	
}