package nq.net.assets.loaders {

    /**
     * Интерфейс для поставщика загрузчиков ресурсов
     */
    public interface IAssetLoaderFactory {

        /**
         * Получить загрузчик по типу загружаемого ресурса
         *
         * @param url       URL-адрес загружаемого ресурса
         * @param mimeType  Тип MIME загружаемого ресурса
         */
        function getLoader(url:String, mimeType:String = "application/octet-stream"):IAssetLoader;

    }

}
